%define tversion 1.0

Summary: Heroes - Game like Nibbles but different.
Name: heroes
Version: 0.9
Release: 1
Copyright: GPL
Group: Amusements/Games
Url: http://heroes.sourceforge.net/
Source: http://download.sourceforge.net/heroes/%{name}-%{version}.tar.gz
Source1: http://download.sourceforge.net/heroes/heroes-data-%{tversion}.tar.gz
Source2: http://download.sourceforge.net/heroes/heroes-sound-effects-%{tversion}.tar.gz
Source3: http://download.sourceforge.net/heroes/heroes-sound-tracks-%{tversion}.tar.gz
Source4: heroes.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildPrereq: SDL-devel, mikmod
Requires: SDL >= 1.1.0, mikmod >= 3.1.6

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but
includes many graphical improvements and new game features.

In it, you must maneuver a small vehicle around a world and collect
powerups while avoiding obstacles, your opponents' trails, and even
your own trail.

Several modes of play are available. Quest is the classical Nibbles,
in Death Match you start with very long tails a must kill your
opponents, in Kill'em All you must run over lemmings moving on the
ground, in Color or Time Cash you must collect money or pyramids of
color.

Heroes features 12 original soundtracks, 94 levels (in 10 different
tilesets) plus a level editor.  There are five game modes like Quest
(the classical Nibbles), or Kill'em all (run over lemmings).

%prep
%setup -q -a 1 -a 2 -a 3

%build
%configure --without-ggi --without-gii
make

cd heroes-data-%{tversion}
%configure

cd ../heroes-sound-effects-%{tversion}
%configure

cd ../heroes-sound-tracks-%{tversion}
%configure

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT transform=

cd heroes-data-%{tversion}
make install DESTDIR=$RPM_BUILD_ROOT

cd ../heroes-sound-effects-%{tversion}
make install DESTDIR=$RPM_BUILD_ROOT

cd ../heroes-sound-tracks-%{tversion}
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/applnk/Games/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%config(noreplace) /etc/X11/applnk/Games/*.desktop
%{_bindir}/heroes
%{_infodir}/heroes.info*
%{_mandir}/man?/heroes.6*
%{_datadir}/%{name}

%changelog
* Sat Feb 24 2001 Than Ngo <than@redhat.com>
- update 0.9, many bugfixes

* Fri Feb 02 2001 Than ngo <than@redhat.com>
- rebuild against SDL_mixer-1.1 (Bug #25681)

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- update to 0.7
- bzip2 sources

* Tue Nov 28 2000 Than Ngo <than@redhat.com>
- first build for powertools-7.1
